Loading...
Searching...
No Matches
etl::not_null< etl::unique_ptr< T, TDeleter > > Class Template Reference

## Public Types

typedef T | value_type
typedef T * | pointer
typedef const T * | const_pointer
typedef T & | reference
typedef const T & | const_reference

## Public Member Functions

ETL_CONSTEXPR14 pointer | get () const ETL_NOEXCEPT
| Gets the underlying ptr.
ETL_CONSTEXPR14 | operator pointer () const ETL_NOEXCEPT
| Implicit conversion to pointer.
ETL_CONSTEXPR14 reference | operator* () const ETL_NOEXCEPT
| Dereference operator.
ETL_CONSTEXPR14 pointer | operator-> () const ETL_NOEXCEPT
| Arrow operator.

The documentation for this class was generated from the following file:

- include/etl/not_null.h